Bug 1410502 - Host group selection on a discovery host should work without "edit_hosts" permission.
Summary: Host group selection on a discovery host should work without "edit_hosts" pe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Discovery Plugin
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact: Daniel Lobato Garcia
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 15:48 UTC by Sean O'Keeffe
Modified: 2020-03-11 15:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17943 0 None None None 2017-01-05 18:04:02 UTC
Red Hat Bugzilla 1400708 1 None None None 2021-01-20 06:05:38 UTC

Internal Links: 1400708

Description Sean O'Keeffe 2017-01-05 15:48:43 UTC
Description of problem:
Cannot provision a discovery host using a hostgroup with the "edit_hosts" permission, "edit_discovery_hosts" should be enough.


Version-Release number of selected component (if applicable):
6.2.6

How reproducible:
100%

Steps to Reproduce:
1. Select a hostgroup when provision discovery host without the edit_hosts permission.

Actual results:
Host group doesn't populate


Expected results:
Host select to populate other fields.


Additional info:

Comment 1 Lukas Zapletal 2017-01-05 16:34:19 UTC
Sean, Discovery manager role is what you need. Permissions are fine-grained objects that are atteched to specific resources. Discovery provisioning is a complex task with many resources involved. I am going to close this.

Note in both 6.2 and 6.3 we had fixes around Discovery roles, latest stable version should work ok.

Comment 2 Lukas Zapletal 2017-01-05 17:09:55 UTC
Ok now I understand.

Comment 3 pm-sat@redhat.com 2017-01-05 19:09:09 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17943 has been resolved.

Comment 8 Daniel Lobato Garcia 2017-08-23 09:26:43 UTC
Verified.

Version Tested: Satellite-6.3 Snap 12

I created an user with the "Discovery manager" role exclusively, then tried to provision a discovered host using this user. In the form, I chose a host group which triggered the process_hostgroup action without any permission errors. The fields were filled according to the Host group information.

Comment 9 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.